import { IPaymentDetails } from "@business-logic/types/CustomerDetails";
import { PaymentType } from "@business-logic/types/Enums";

const defaultCreditCardDetails: IPaymentDetails = {
    paymentType: PaymentType.Credit,
    cardNumber: '4111111111111111',
    expirationMonth: '12 - December',
    expirationYear: '2029',
    cvv: '555',
    billingAddress: {
        street: '2088 Tuller St',
        city: 'Columbus',
        state: 'OH',
        postalCode: '43028',
        country: 'US'
    }
}

const defaultAfterpayDetails: IPaymentDetails = {
    paymentType: PaymentType.AfterPay,
    username: 'itqatest@safelite.com',
    password: 'Safelite1',
    cardNumber: '4111 1111 1111 1111',
    expirationMonth: '12',
    expirationYear: '34',
    cvv: '000'
}

const defaultPaypalDetails: IPaymentDetails = {
    paymentType: PaymentType.Paypal,
    password: 'Safelite1'
}

export default class PaymentData {

    static getDefaultCreditCardDetails() {
        return defaultCreditCardDetails;
    }

    static getDefaultAfterpayDetails() {
        return defaultAfterpayDetails;
    }

    static getDefaultPaypalDetails() {
        return defaultPaypalDetails;
    }
}